[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetProp

Retrieves a property value for a window.

## Declaration

Source position: winapih.inc line 139

`public function TWidgetSet.GetProp(`
`Handle: HWND;`
`Str: PChar`
`):Pointer; virtual;`

## Arguments

`Handle` |  | The window handle.
`Str` |  | The property name.

## Function result

Nil on failure.

## See also

TWidgetSet.SetProp |  | Adds a property to a window.